### Method

# Gdk Device get_num_lock_state

#### Declaration [src]

    gboolean
    gdk_device_get_num_lock_state (
      GdkDevice* device
    )

#### Description [src]

Retrieves whether the Num Lock modifier of the keyboard is locked.

This is only relevant for keyboard devices.

Gets property | `Gdk.Device:num-lock-state`

#### Return value

Type: `gboolean`

`TRUE` if Num Lock is on for `device`.